#!/bin/sh
if [ -z "$TKF77OPTIONS" ]
then
   TKF77OPTIONS="+T -C -u +ppu +U77 -w"
   export TKF77OPTIONS
fi
echo " "
echo "      Using compile options:"
echo "      "$TKF77OPTIONS
echo " "
\ls *.f > /dev/null 2>&1
STATUS=`echo $?`
if [ $STATUS -eq 0 ]
then
   SRCFILE=`\ls *.f`
   for SRC in $SRCFILE
   do 
      echo "      Compiling: " $SRC
      f77 -c $TKF77OPTIONS     $SRC
   done
fi
echo " "
\ls *.for > /dev/null 2>&1
STATUS=`echo $?`
if [ $STATUS -eq 0 ]
then
   SRCFILE=`\ls *.for`
   for SRC in $SRCFILE
   do 
      NEWSRC=`basename $SRC .for`.f
      cp   $SRC                $NEWSRC
      echo "      Compiling: " $NEWSRC
      f77 -c $TKF77OPTIONS     $NEWSRC
      rm                       $NEWSRC
   done
fi
\ls *.pgm > /dev/null 2>&1
STATUS=`echo $?`
if [ $STATUS -eq 0 ]
then
        LIBRARY="locallib.a"
else
	CURPATH=`pwd`
	CURDIR=`basename $CURPATH`
	LIBRARY="../../lib/$CURDIR.a"
fi
\ls *.o > /dev/null 2>&1
STATUS=`echo $?`
if [ $STATUS -eq 0 ]
then
   echo "      Creating object library $LIBRARY ..."
   ar crv $LIBRARY *.o
   \rm               *.o    
fi
echo " "
\ls *.pgm > /dev/null 2>&1
STATUS=`echo $?`
if [ $STATUS -eq 0 ]
then 
   MAINSRC=`\ls *.pgm`
   for MAIN in $MAINSRC
   do
      TARGET=`basename $MAIN .pgm`.f
      TEMPNM=`basename $MAIN .pgm`
		EXECUT="../../exe/$TEMPNM"
      \cp $MAIN  $TARGET
      if [ -f locallib.a ]
      then
         echo "      Compiling and linking: " $MAIN
         f77 -o $EXECUT $TKF77OPTIONS $TARGET            \
                                      locallib.a         \
                                      ../../lib/support.a  \
                                      ../../lib/spicelib.a
         \rm $TARGET
      else
         echo "      Compiling and linking: " $MAIN
         f77 -o $EXECUT $TKF77OPTIONS $TARGET            \
                                      ../../lib/support.a  \
                                      ../../lib/spicelib.a
         \rm $TARGET
      fi
   done
fi
echo " "
\ls *.o > /dev/null 2>&1
STATUS=`echo $?`
if [ $STATUS -eq 0 ]
then
   \rm *.o
fi
if [ -f locallib.a ]
then
   \rm locallib.a 
fi
exit 0
